Patch FHIR resource

PATCH/fhir-provider/{fhir_provider_id}/fhir/{fhir_path}
RequiresBearerauthentication

Header parameters

Path parameters

fhir_provider_idstringrequired
fhir_pathstringrequired
Returns  

Response fields

resourceTypestringoptional
idstringoptional
metaobjectoptional
versionIdstringoptional
lastUpdatedstringoptional
PATCHRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X PATCH "https://experiment.app.pheno.ml/fhir-provider/550e8400-e29b-41d4-a716-446655440000/fhir/Patient" \
  -H "Authorization: Bearer $PHENOML_TOKEN" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "op": "replace",
    "path": "/name/0/family",
    "value": "NewFamilyName"
  }
]'
200 OKExample Response
{
  "resourceType": "Patient",
  "id": "123",
  "meta": {
    "versionId": "3",
    "lastUpdated": "2024-02-20T11:30:00Z"
  }
}